Rectangle 27 0

php How to properly require a phar file?


I'm attempting to use PHPCOV but it doesn't appear to like the .cov files generated by phpunit 3.7.31. Can you confirm if phpcov will work with .cov files from phpunit 3.7.31?

No, PHPCOV does not support PHPUnit 3.7. You need PHPUnit 4 for PHPCOV to work properly. Please note that PHPUnit 3.7 is not actively supported by the PHPUnit project anymore.

The PHAR of PHPUnit can only be properly used as a library as of PHPUnit 4.2.

Note